Bug 1783684 - Request a build for EPEL8, needed by xe-guest-utilities-latest
Summary: Request a build for EPEL8, needed by xe-guest-utilities-latest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-x-sys
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-14 17:08 UTC by Robin Lee
Modified: 2020-01-04 20:08 UTC (History)
2 users (show)

Fixed In Version: golang-x-sys-0-0.29.20191215gitac6580d.el8 golang-x-sys-0-0.29.20191215gitac6580d.el8.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-16 18:03:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Robin Lee 2019-12-14 17:08:14 UTC
I can co-maintain this package. My FAS ID is 'cheeselee'.

Comment 1 Robert-André Mauchin 2019-12-15 17:44:38 UTC
We don't have the tooling to package golang stuff in EPEL8 yet, I have requested it from RHEL folks https://bugzilla.redhat.com/show_bug.cgi?id=1774139 but I don't know how much time this will take.

I will try to package it the old way but I'm not sure if it will work.

Comment 2 Robert-André Mauchin 2019-12-15 20:55:18 UTC
Ive got a SPEC ready to roll: https://koji.fedoraproject.org/koji/taskinfo?taskID=39634751
I'm waiting for the scm request to be approved and you'll get your package.

Comment 3 Robin Lee 2019-12-16 02:36:33 UTC
(In reply to Robert-André Mauchin from comment #2)
> Ive got a SPEC ready to roll:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=39634751
> I'm waiting for the scm request to be approved and you'll get your package.

That's great! Thanks!

Comment 4 Robert-André Mauchin 2019-12-16 18:03:11 UTC
I have set up a buildroot override so you should be able to build now.

Comment 5 Robin Lee 2019-12-17 02:22:31 UTC
xe-guest-utilities failed to build with 'missing function body' errors:

# golang.org/x/sys/unix
/usr/share/gocode/src/golang.org/x/sys/unix/syscall_linux_amd64_gc.go:13:6: missing function body
/usr/share/gocode/src/golang.org/x/sys/unix/syscall_linux_gc.go:10:6: missing function body
/usr/share/gocode/src/golang.org/x/sys/unix/syscall_linux_gc.go:14:6: missing function body
/usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing function body
/usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing function body
/usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing function body
/usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing function body

https://kojipkgs.fedoraproject.org//work/tasks/9898/39679898/build.log

The assembly files are missed in the el8 package?

Comment 6 Fedora Update System 2019-12-17 04:25:32 UTC
golang-x-sys-0-0.29.20191215gitac6580d.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-571753c980

Comment 7 Robert-André Mauchin 2019-12-17 16:06:34 UTC
(In reply to Robin Lee from comment #5)
> xe-guest-utilities failed to build with 'missing function body' errors:
> 
> # golang.org/x/sys/unix
> /usr/share/gocode/src/golang.org/x/sys/unix/syscall_linux_amd64_gc.go:13:6:
> missing function body
> /usr/share/gocode/src/golang.org/x/sys/unix/syscall_linux_gc.go:10:6:
> missing function body
> /usr/share/gocode/src/golang.org/x/sys/unix/syscall_linux_gc.go:14:6:
> missing function body
> /usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing
> function body
> /usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing
> function body
> /usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing
> function body
> /usr/share/gocode/src/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing
> function body
> 
> https://kojipkgs.fedoraproject.org//work/tasks/9898/39679898/build.log
> 
> The assembly files are missed in the el8 package?

Woops made a typo in the find command for assembly files, should be fixed now.

Comment 8 Robin Lee 2019-12-17 16:56:56 UTC
xe-guest-utilities now compiled. But the debuginfo failed to generate. Do I have to use a different GO_FLAGS on EPEL8? The current version is:

make PRODUCT_MAJOR_VERSION=%{upstream_major} \
     PRODUCT_MINOR_VERSION=%{upstream_minor} \
     PRODUCT_MICRO_VERSION=%{upstream_micro} \
     RELEASE=%{buildnum} \
     GO_FLAGS='-a -ldflags "${LDFLAGS:-}%{?currentgoldflags} -B 0x$$(head -c20 /dev/urandom|od -An -tx1|tr -d '"'"' \n'"'"') -extldflags '"'"'%__global_ldflags %{?__golang_extldflags}'"'"'" -v -x'

build.log: https://kojipkgs.fedoraproject.org//work/tasks/2374/39692374/build.log

Comment 9 Robert-André Mauchin 2019-12-17 22:18:14 UTC
Yeah slight change that we fixed in Fedora but I don't recall how. First we had to disable DWARF compression because rpm didn't support it but we re enabled it later.

For now add: -compressdwarf=false to the flags.

make PRODUCT_MAJOR_VERSION=%{upstream_major} \
     PRODUCT_MINOR_VERSION=%{upstream_minor} \
     PRODUCT_MICRO_VERSION=%{upstream_micro} \
     RELEASE=%{buildnum} \
     GO_FLAGS='-a -ldflags "${LDFLAGS:-}%{?currentgoldflags} -B 0x$$(head -c20 /dev/urandom|od -An -tx1|tr -d '"'"' \n'"'"') -extldflags '"'"'%__global_ldflags %{?__golang_extldflags}'"'"' -compressdwarf=false" -v -x'

I'll ask Jakub Čajka <jcajka@redhat.com> how we solved this. I think this was fixed in rpm 4.15 but the fix was reverted since.

Comment 10 Fedora Update System 2019-12-18 00:10:06 UTC
golang-x-sys-0-0.29.20191215gitac6580d.el8.1 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-713c93d7dc

Comment 11 Fedora Update System 2020-01-04 20:08:08 UTC
golang-x-sys-0-0.29.20191215gitac6580d.el8.1 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.